<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-header](./foundation-header.md) &gt; [Navigation](./foundation-header.navigation.md) &gt; [routeButtons](./foundation-header.navigation.routebuttons.md)

## Navigation.routeButtons property

If present the defined route buttons will be rendered in the header 'routes' slot

**Signature:**

```typescript
routeButtons: Array<{
        index: number;
        path: string;
        title: string;
        icon: string;
        variant: string;
    }>;
```
